Ask Your Question
0

liberty lbaasv2 haproxy

asked 2016-01-08 05:41:11 -0500

jsm gravatar image

3.10.0-327.3.1.7.x86_64 lib Liberty example-config controller node and compute node.

Which device_driver in lbaas_agent.ini works? I've tried device_driver = neutron_lbaas.drivers.haproxy.namespace_driver.HaproxyNSDriver

but i gives

['ip', 'netns', 'exec', 'qlbaas-d64b9152-c097-4200-aefc-06e88cb968cb', 'route', 'add', 'default', 'gw', '192.168.1.1 '

Unable to deploy instance for loadbalancer:

Perhaps because of the missing route command on centos. haproxy never starts,

I would like not to use octavia. Have anyone a working liberty example install (from the instsall-guide) with a working lbaasv2 with haproxy?

edit retag flag offensive close merge delete

2 answers

Sort by ยป oldest newest most voted
1

answered 2016-01-08 08:58:03 -0500

jsm gravatar image

updated 2018-02-08 11:21:31 -0500

I needed the route cmd indeed installed net-tools.

edit flag offensive delete link more
0

answered 2016-08-23 22:13:07 -0500

blooding79 gravatar image

hi,jsm! Your this problem solved?I met the same problem.Can you help me ?

edit flag offensive delete link more

Comments

Are you on centos? Did you yum install net-tools as per my own answer?

jsm gravatar imagejsm ( 2016-08-25 03:23:24 -0500 )edit

yes!I deployed on centos and installed net-tools ok!But voila!what is the voila?

blooding79 gravatar imageblooding79 ( 2016-08-25 19:53:08 -0500 )edit

It solved it for me, since it was just the route command that was missing in my case.

jsm gravatar imagejsm ( 2016-08-26 06:08:02 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Get to know Ask OpenStack

Resources for moderators

Question Tools

1 follower

Stats

Asked: 2016-01-08 05:41:11 -0500

Seen: 277 times

Last updated: Feb 08